.roomPageDiv {
    position: relative;
    background-color: #0E202B;
    height: 760px;
    width: 100%;
    align-items: center;
    justify-content: center;
    display: flex;
}
.roomOptionsContainer {
    display: block;
    height: 403px;
    width: 296px;
    position: absolute;
    left: 960px;
    top: 333px;
    background-color: #183749;
    border-radius: 12px;
    align-items: center;
}
.roomOptionsContainerHeader {
    display: flex;
    width: 100%;
    height: 56px;
    justify-content: space-between;
    padding-top: 14px;
    padding-right: 14px;
    padding-left: 14px;
}
.roomOptionsContainerHeaderNav {
    display: flex;
    height: 40px;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.2);
}
.roomOptionsContainerHeaderNavInfo {
    display: flex;
    min-width: 40px;
    padding-top: 8px;
    padding-right: 16px;
    padding-bottom: 8px;
    padding-left: 16px;
    gap: 12px;
    border-right: 1px solid #FFFFFF33;
    border-radius: 20px 0px 0px 20px;
    justify-content: center;
    align-items: center;
}
.roomOptionsContainerHeaderNavInfoImg {
    width: 20px;
    height: 20px;
}
.roomOptionsContainerHeaderNavChat {
    display: flex;
    min-width: 40px;
    padding-top: 8px;
    padding-right: 24px;
    padding-bottom: 8px;
    padding-left: 16px;
    gap: 12px;
    border-radius: 0px 20px 20px 0px;
    justify-content: center;
    align-items: center;
}
.roomOptionsContainerHeaderNavChatImg {
    width: 20px;
    height: 20px;
}
.roomOptionsContainerHeaderNavChatLabel {
    min-width:30px;
    color: #FFFFFF;
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    letter-spacing:0.46px;
    line-height: 20px;
}

.roomOptionsContainerHeaderKibic {
    width: 40px;
    height: 40px;
    padding: 8px;
}
.roomOptionsContainerHeaderKibicImg {
    width: 24px;
    height: 24px;
}

.roomOptionsContainerContent {
    position: relative;
    width: 100%;
    height: 347px;
}
.roomOptionsContainerContentInfo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.roomOptionsContainerContentInfoGroup {
    display: grid;
    width: 100%;
    height: 100%;
    gap: 2px;
    padding: 20px 15px 5px 15px;
}
.roomOptionsContainerContentInfo1 {
    display: grid;
    width: 264px;
    height: 92px;
    gap: 2px;
    padding: 2px;
}
.roomOptionsContainerContentInfo1Row {
    display: flex;
    width: 100%;
    gap: 2px;
    padding: 2px;
    align-items: center;
}
.roomOptionsContainerContentInfo1RowLabel {
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 600;
    letter-spacing:0.1px;
    line-height: 20px;
}
.roomOptionsContainerContentInfo1RowValue {
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.17px;
    line-height: 20px;
    padding-left: 15px;
}
.roomOptionsContainerContentInfo1RowIconDiv {
    display: flex;
    padding: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 8px;
}
.roomOptionsContainerContentInfo1RowIcon {
    width: 20px;
    height: 20px;
}

.roomOptionsContainerContentInfo2 {
    display: grid;
    width: 264px;
    height: 192px;
    gap: 6px;
    padding: 2px;
}
.roomOptionsContainerContentInfo2Row {
    display: flex;
    width: 100%;
    gap: 2px;
    padding: 2px;
    align-items: flex-start;
}
.roomOptionsContainerContentInfo2RowH1 {
    height: 20px;
}
.roomOptionsContainerContentInfo2RowH2 {
    height: 40px;
}
.roomOptionsContainerContentInfo2RowValue {
    text-align: left;
    font-size: 14px;
    font-weight: 600;
    letter-spacing:0.1px;
    line-height: 20px;
}
.roomOptionsContainerContentInfo2RowLabel {
    width: 242px;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.17px;
    line-height: 20px;
    padding-left: 15px;
}

.roomOptionsContainerContentChat {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.roomOptionsContainerContentChatGroup {
    display: grid;
    width: 100%;
    height: 100%;
}
.roomOptionsContainerContentChat1 {
    display: block;
    width: 100%;
    height: 273px;
    padding: 8px 1px 5px 16px;
}
.roomOptionsContainerContentChat1TextArea {
    display: grid;
    gap: 8px;
    overflow-x: hidden;
}
.roomOptionsContainerContentChat1Message {
    display: grid;
    width: 264px;
    min-height: 56px;
    gap: 8px;
    background-color: #1D475F;
    border-radius: 12px;
    padding: 8px;
}
.roomOptionsContainerContentChat1Message1 {
    display: flex;
    justify-content: space-between;
    width: 248px;
    height: 12px;
}
.roomOptionsContainerContentChat1Message1User {
    width: 180px;
    color: rgba(255, 255, 255, 0.7);
    text-align: left;
    font-size: 12px;
    font-weight: 600;
    letter-spacing:0.15px;
    line-height: 12px;
}
.roomOptionsContainerContentChat1Message1Time {
    width: 48px;
    color: rgba(255, 255, 255, 0.7);
    text-align: right;
    font-size: 12px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 12px;
}
.roomOptionsContainerContentChat1Message2 {
    width: 248px;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.17px;
    line-height: 20px;
    overflow-wrap: break-word;
    word-break: break-word;
}
.roomOptionsContainerContentChat1MessageW {
    display: flex;
    width: 264px;
    padding: 6px 16px;
    align-items: flex-start;
    border-radius: 20px;
    background: linear-gradient(0deg, rgba(255, 167, 38, 0.16) 0%, rgba(255, 167, 38, 0.16) 100%), #183749;
}
.roomOptionsContainerContentChat1MessageWAlert {
    display: flex;
    padding: 7px 12px 7px 0;
    align-items: flex-start;
}
.roomOptionsContainerContentChat1MessageWAlertIcon {
    display: flex;
    width: 22px;
    height: 22px;
    align-items: flex-start;
}
.roomOptionsContainerContentChat1MessageWText {
    padding: 8px 0;
    text-align: left;
    color: #FFE2B7;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.roomOptionsContainerContentChat1MessageK {
    display: flex;
    width: 264px;
    padding: 4px 0;
    align-items: center;
    gap: 10px;
    align-self: stretch;
}
.roomOptionsContainerContentChat1MessageKIcon {
    display: flex;
    align-items: flex-start;
    width: 20px;
    height: 20px;
}
.roomOptionsContainerContentChat1MessageKText {
    text-align: left;
    color: rgba(255, 255, 255, 0.70);
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}

.roomOptionsContainerContentChat2 {
    display: block;
    width: 100%;
    height: 74px;
    padding: 16px;
    border-top: 1px solid #265571;
}
.roomOptionsContainerContentChat2Input {
    display: block;
    width: 264px;
    height: 42px;
    border: 0;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 24px;
    background-color: #265571;
    border-radius: 12px;
    padding: 9px 40px 8px 12px;
}
.roomOptionsContainerContentChat2Input::placeholder {
    color: rgba(255, 255, 255, 0.38);
}
.roomOptionsContainerContentChat2Input:focus {
    outline: none;
    box-shadow: none;
}
.roomOptionsContainerContentChat2SendImg {
    position: absolute;
    width: 21px;
    height: 18px;
    top: 302px;
    left: 248px;
}

.roomInfoSection {
    display: flex;
    position: absolute;
    width: 296px;
    height: 486px;
    top: 250px;
    left: 24px;
    border-radius: 12px;
    padding: 16px;
    gap: 16px;
    background-color: #183749;
}

.roomScoreContainer {
    display: grid;
    height: 274px;
    width: 264px;
    margin-top: 180px;
    border-radius: 8px;
    gap: 8px;
}
.roomScoreContainerHeader {
    display: flex;
    height: 58px;
    width: 264px;
    border-radius: 20px;
    border: 1px solid #FFFFFF33;
}
.roomScoreContainerNotes {
    display: flex;
    height: 172px;
    width: 264px;
}
.roomScoreContainerBula {
    display: flex;
    height: 28px;
    width: 264px;
    border-radius: 6px;
    gap: 8px;
    padding: 4px 8px;
    background-color: #1D475F;
    align-items: center;
}
.roomScoreContainerBulaL1 {
    display: block;
    text-align: left;
    color: #FFF;
    font-size: 14px;
    font-weight: 700;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.roomScoreContainerBulaL2 {
    display: block;
    text-align: left;
    color: #FFF;
    font-size: 14px;
    font-weight: 700;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.roomPlayerComponent {
    display: grid;
    width: 88px;
    padding: 8px 2px;
}
.roomPlayerComponent:not([disabled]):hover {
    cursor: pointer;
    /*box-shadow: 0px 0px 20px rgb(5, 185, 245);*/
}
.roomPlayerComponent[disabled] {
    background-color: rgba(128, 222, 234, 0.16);
}
.roomPlayerComponentP1 {
    border-right: 1px solid #FFFFFF33;
    border-radius: 20px 0px 0px 20px;
}
.roomPlayerComponentP2 {
    border-right: 1px solid #FFFFFF33;
}
.roomPlayerComponentP3 {
    border-radius: 0px 20px 20px 0px;
}
.roomPlayerComponentName {
    width: 100%;
    text-align: center;
    color: #FFFFFF;
    font-size: 12px;
    font-weight: 700;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    letter-spacing: 0.46px;
    vertical-align: middle;
    line-height: 20px;
}
.roomPlayerComponentPoints {
    width: 100%;
    text-align: center;
    color: #FFFFFF;
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 0.46px;
    vertical-align: middle;
    line-height: 20px;
}

.roomNotesTable {
    height: 172px;
    width: 100%;
}
.roomNotesTableHeader {
    height: 32px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #1D475F;
    border-radius: 8px 8px 0 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}
.roomNotesTableColWidth {
    width: 88px;
    color: rgba(255, 255, 255, 0.70);
    font-size: 12px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.17px;
    text-transform: uppercase;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.roomNotesTableBody {
    display: block;
    overflow-y: scroll;
    height: 140px;
}
.roomNotesTableTR {
    display: flex;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    height: 32px;
    align-items: center;
}
.roomNotesTableTD1 {
    width: 88px;
}
.roomNotesTableTD2 {
    width: 88px;
}
.roomNotesTableTDDiv {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.roomNotesTableTDLabel {
    color: #FFFFFF;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.17px;
}
.roomNotesTableTDLabelUH {
    color: #E57373;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.17px;
}
.roomNotesTableTDImg {
    height: 100%;
}

.roomDialogDivWrapper {
    z-index: 80;
    display: flex;
    position: relative;
    margin-top: -72px;
    justify-content: center;
    align-items: center;
    width: 1280px;
    height: 832px;
    background: rgba(0, 0, 0, 0.50);
}
.roomDialogDivNoWrapper {
    z-index: 80;
    position: relative;
    margin-top: -72px;
}
.roomDialogDiv {
    display: grid;
    width: 400px;
    background-color: #1D475F;
    border-radius: 12px;
    justify-content: center;
    align-items: center;
    padding: 32px;
    gap: 32px;
}
.roomDialogDivNoGap {
    gap: 0;
}
.roomDialogInfoDiv {
    display: grid;
    width: 336px;
    position: relative;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.roomDialogInfoLabel1 {
    width:100%;
    color: #FFFFFF;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    letter-spacing:0.15px;
    line-height: 150%;
}
.roomDialogInfoLabel2 {
    width:100%;
    color: #FFFFFF;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.17px;
    line-height: 143%;
}
.roomDialogInfoLabel3 {
    color: rgba(255, 255, 255, 0.7);
}
.roomDialogActionDiv {
    display: flex;
    height: 36px;
    width: 336px;
    position: relative;
    background-color: #1D475F;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.roomDialogActionButtonCommon {
    height: 100%;
    width: 160px;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    letter-spacing:0.4px;
    line-height: 24px;
    color: #FFFFFF;
    border-radius: 20px;

    outline:none;
}
.roomDialogActionButtonCancel {
    border: 1px solid rgba(255, 255, 255, 0.5);
    background-color: #1D475F;
}
.roomDialogActionButtonConfirm {
    border: 0;
    background-color: #0097A7;
}
.roomDialogIconDiv {
    display: flex;
    width: 100%;
    height: 35px;
    justify-content: center;
    align-items: center;
}
.roomDialogIconImg {
    width: 35px;
    height: 35px;
}

.roomDialogScoreDiv {
    z-index: 90;
    width: 608px;
    height: 380px;
    position: relative;
    background-color: #1D475F;
    border-radius: 12px;
    justify-content: center;
    align-items: center;
    padding: 16px;
    margin-bottom: 72px;
}
.roomDialogScoreTitleDiv {
    display: flex;
    width: 100%;
    height: 48px;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 12px;
    border-bottom: 1px solid #FFFFFF33;
}
.roomDialogScoreTitleDiv1 {
    display: flex;
    width: 536px;
    height: 24px;
    gap: 8px;
}
.roomDialogScoreTitleDiv1Img {
    width: 24px;
    height: 24px;
}
.roomDialogScoreTitleDiv1Label {
    height: 100%;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    letter-spacing:0.15px;
    line-height: 150%;
    color: #FFFFFF;
}
.roomDialogScoreTitleCloseDiv {
    width: 40px;
    height: 40px;
    padding: 8px;
}
.roomDialogScoreContentDiv {
    width: 100%;
    height: 220px;
    justify-content: space-between;
    align-items: center;
    padding-top: 24px;
}
.roomDialogScoreContentHeader {
    display: flex;
    width: 100%;
    height: 32px;
    justify-content: center;
    align-items: center;
}
.roomDialogScoreContentHeaderCol1 {
    width: 264px;
    padding: 6px 0px 6px 16px;
    text-align: left;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.17px;
    line-height: 20px;
    color: rgba(255, 255, 255, 0.7);
}
.roomDialogScoreContentHeaderCol234 {
    width: 104px;
    padding: 6px 16px 6px 16px;
    text-align: center;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.17px;
    line-height: 20px;
    color: rgba(255, 255, 255, 0.7);
}
.roomDialogScoreContentRows {
    display: grid;
    width: 100%;
    height: 164px;
    align-items: center;
    gap: 4px;
}
.roomDialogScoreContentRow {
    display: flex;
    width: 100%;
    height: 52px;
    align-items: center;
    border-radius: 8px;
    background-color: #51778D;
}
.roomDialogScoreContentRowCol1 {
    width: 264px;
    height: 100%;
    padding: 14px 0px 6px 16px;
    border-right: 1px solid rgba(255, 255, 255, 0.2);
    text-align: left;
    font-size: 14px;
    font-weight: 700;
    letter-spacing: 0.17px;
    line-height: 143%;
    color: #FFFFFF;
}
.roomDialogScoreContentRowCol234 {
    width: 104px;
    padding: 6px 16px 6px 16px;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.17px;
    line-height: 143%;
    color: #FFFFFF;
}
.roomDialogScoreReasonDiv {
    display: flex;
    height: 80px;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 0.1px;
    line-height: 143%;
    color: #4FC3F7;
}